Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlMultiPolygon Class Reference

`#include <GlMultiPolygon.h>`

Inherits tlp::GlSimpleEntity.

Inheritance diagram for tlp::GlMultiPolygon:

[legend]
Collaboration diagram for tlp::GlMultiPolygon:

[legend]
List of all members.

## Detailed Description

Entity who represent a vector of polygons

## Public Member Functions

- GlMultiPolygon (bool filled=true, bool outlined=true, const Color &fillColor=Color(0, 0, 0, 255), const Color &outlineColor=Color(0, 0, 0, 255))
- void addPolygon (const std::vector< Coord > &poly)
- virtual void draw (float lod, Camera *camera)
- virtual void translate (const Coord &mouvement)
- void getXML (xmlNodePtr rootNode)
- void setWithXML (xmlNodePtr rootNode)

## Protected Attributes

- std::vector< GlPolygon > polygons
- bool filled
- bool outlined
- Color fillColor
- Color outlineColor

## Constructor & Destructor Documentation

tlp::GlMultiPolygon::GlMultiPolygon | ( | bool | filled = `true`,
|  | bool | outlined = `true`,
|  | const Color & | fillColor = `Color(0, 0, 0, 255)`,
|  | const Color & | outlineColor = `Color(0, 0, 0, 255)`
| ) |

| Constructor same as GlPolygon

## Member Function Documentation

void tlp::GlMultiPolygon::addPolygon | ( | const std::vector< Coord > & | poly | ) |

| Add a polygon with the Coord poly

virtual void tlp::GlMultiPolygon::draw | ( | float | lod,
|  | Camera * | camera
| ) | `[virtual]`

| Draw all polygons Implements tlp::GlSimpleEntity.

void tlp::GlMultiPolygon::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Get the data in XML form Implements tlp::GlSimpleEntity.

void tlp::GlMultiPolygon::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Set the data with XML Implements tlp::GlSimpleEntity.

virtual void tlp::GlMultiPolygon::translate | ( | const Coord & | mouvement | ) | `[virtual]`

| Translate entity Reimplemented from tlp::GlSimpleEntity.

## Member Data Documentation

Color tlp::GlMultiPolygon::fillColor `[protected]`

bool tlp::GlMultiPolygon::filled `[protected]`

Color tlp::GlMultiPolygon::outlineColor `[protected]`

bool tlp::GlMultiPolygon::outlined `[protected]`

std::vector<GlPolygon> tlp::GlMultiPolygon::polygons `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010